## psycopg2 2.7.4

=== doc/Makefile ===
.PHONY: env help clean html text doctest

docs: html text

check: doctest

# The environment is currently required to build the documentation.
# It is not clean by 'make clean'

PYTHON := python$(PYTHON_VERSION)
PYTHON_VERSION ?= $(shell $(PYTHON) -c 'import sys; print ("%d.%d" % sys.version_info[:2])')

SPHOPTS=PYTHONPATH=$$(pwd)/../build/lib.$(PYTHON_VERSION)/ SPHINXBUILD=$$(pwd)/env/bin/sphinx-build

html:
	$(MAKE) PYTHON=$(PYTHON) -C .. package
	$(MAKE) $(SPHOPTS) -C src $@
	cp -r src/_build/html .

text:
	$(MAKE) PYTHON=$(PYTHON) -C .. package
	$(MAKE) $(SPHOPTS) -C src $@
	cd src && tools/stitch_text.py index.rst _build/text > ../psycopg2.txt

doctest:
	$(MAKE) PYTHON=$(PYTHON) -C .. package
	$(MAKE) $(SPHOPTS) -C src $@

upload:
	# this command requires ssh configured to the proper target
	tar czf - -C html . | ssh psycoweb tar xzvf - -C docs/current
	# this command requires a .pypirc with the right privileges
	# python src/tools/pypi_docs_upload.py psycopg2 $$(pwd)/html

clean:
	$(MAKE) $(SPHOPTS) -C src $@
	rm -rf html psycopg2.txt

env: requirements.txt
	virtualenv env
	./env/bin/pip install -r requirements.txt

## psycopg2 2.7.5

=== debian/changelog ===
psycopg2 (2.7.5-2) unstable; urgency=medium

  * Team upload.
  * Do not install tests/test_async_keyword.py, incompatible with
    Python3.7 (Closes: #902715)

 -- Nicolas Dandrimont <olasd@debian.org>  Mon, 02 Jul 2018 14:58:20 +0200

psycopg2 (2.7.5-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Update Vcs-* to point at salsa.d.o
  * New upstream release
  * Bump standards-version to 4.1.4 without further change
  * Adapt debian/patches/0001-local_inventory.patch for upstream changes
  * Switch to source format 3.0 (Quilt)
  * Remove ancient python build-depends version requirements

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

 -- Scott Kitterman <scott@kitterman.com>  Wed, 20 Jun 2018 02:25:34 -0400

psycopg2 (2.7.4-1) unstable; urgency=medium

  * New upstream release (Closes: #880651)
    - Drop d/p/0002-Make-dbapi_extension.py-compatible-with-Sphinx-1.6.patch,
      incorporated upstream
  * Drop extra priority from -dbg packages
  * Update debian/watch to use secure URI
  * Clean up trailing whitespace in d/control and d/changelog
  * Bump standards-version to 4.1.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Fri, 09 Feb 2018 23:39:00 -0500

psycopg2 (2.7.3-2) unstable; urgency=medium

  * d/p/0002-Make-dbapi_extension.py-compatible-with-Sphinx-1.6.patch
    (Closes: #876931)
    - Thanks to Corey Bryant for forwarding the patch from Ubuntu

 -- Scott Kitterman <scott@kitterman.com>  Tue, 09 Jan 2018 00:30:11 -0500

psycopg2 (2.7.3-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.0.1 without further change
  * Update minimum versions in X-Python{3}-Version
  * Update debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Wed, 09 Aug 2017 00:34:30 -0400

psycopg2 (2.7.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches after git-dpm to gbp pq conversion

 -- Scott Kitterman <scott@kitterman.com>  Sat, 10 Jun 2017 18:47:09 -0400

psycopg2 (2.6.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ SVN-Git Migration ]
  * Migrate packaging to git with git-dpm

  [ Scott Kitterman ]
  * New upstream release
  * Remove uupdate from debian/watch as it doesn't make sense for a package
    maintained in git
  * Bump standards version to 3.9.8 without further change
  * Use default python3 build to generate documentation
  * Bump debhelper minimum version and compat to 9

 -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Jul 2016 16:26:11 -0400

psycopg2 (2.6.1-1) unstable; urgency=medium

  * New upstream release
    - Improve documentation regarding use of extensions.
      ISOLATION_LEVEL_AUTOCOMMIT (Closes: #768194)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Jun 2015 17:24:53 -0400

psycopg2 (2.6-2) unstable; urgency=medium

  * Upload to unstable
  * Build docs using python3 vice python
  * Add doc-base registration

 -- Scott Kitterman <scott@kitterman.com>  Fri, 24 Apr 2015 11:04:31 -0400

psycopg2 (2.6-1) experimental; urgency=medium

  * New upstream release
    - Adapt debian/rules build-indep and binary targets  as well as
      python-psycopg2-doc.install for adjustments in upstream documentation
      build system
  * Add dh-python to build-depends
  * Update debian/watch to use the new pypi.debian.net redirector so that new
    releases are detected and to account for no longer needing to mangle the
    version since a +dfsg tarball is no longer required

 -- Scott Kitterman <scott@kitterman.com>  Mon, 09 Feb 2015 18:53:58 -0500

psycopg2 (2.5.4+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Repack source tarball to remove minified javascript files
  * Swap DPMT to maintainer and add myself to uploaders
  * Drop obsolete and unused python:Provides
  * Add appropriate X-Python{3}-Version fields to debian/control
  * Bump standards version to 3.9.6 without further change
  * Install NEWS using dh_installchangelogs to install as upstream changelog
  * Update debian/copyright
  * Update debian/README.source list of files that need to be removed to
    create a DFSG free tarball
  * Drop obsolete python-psycopg2-doc breaks/replaces python-psycopg2-docs

 -- Scott Kitterman <scott@kitterman.com>  Sat, 27 Sep 2014 16:44:30 -0400

psycopg2 (2.5.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Correct python-psycopg2-doc install location (Closes: #686741)
  * Update debian/copyright
  * Repack source tarball to remove minified javascript files
    - Update debian/watch to unmangle upstream version

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 May 2014 15:38:51 -0400

psycopg2 (2.5.2-1) unstable; urgency=low

  * Team upload

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Scott Kitterman ]
  * New upstream release
    - Update dh_installchangelogs rule from debian/rules since upstream no
      longer provides a changelog
    - Remove empty usr/lib/python3/dist-packages/psycopg2/tests dir in
      python3-psycopg2-dbg
  * Use python version independent paths in debian/patches/local_inventory
  * Remove ancient, unused files from debian dir
  * Bump standards version to 3.9.5 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 24 Feb 2014 21:45:02 -0500

psycopg2 (2.4.5-1) unstable; urgency=low

  * Team upload
  * New upstream release
    - Update debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Mon, 02 Apr 2012 10:23:45 -0400

psycopg2 (2.4.4-4) unstable; urgency=low

  * Team upload
  * Rename python-pyscopg2-docs to the more usual python-pyscopg2-doc
    - Not creating a transitional package due to the package only existing
      for a short period and never in a stable release
  * Fix typos in the last debian/changelog entry
  * Fix misspellings in package descriptions in debian/control


=== debian/control ===
Source: psycopg2
Section: python
Priority: optional
Build-Depends: debhelper (>= 9), python-all-dev, python-all-dbg,
 python3-all-dev, python3-all-dbg, dh-python,
 python-egenix-mx-base-dev, libpq-dev, python3-sphinx (>= 1.0.7+dfsg-1~)
Build-Depends-Indep: python-doc, python3-doc
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Fabio Tranchitella <kobold@debian.org>, Scott Kitterman <scott@kitterman.com>
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/python-team/modules/psycopg2.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/psycopg2
Homepage: http://initd.org/projects/psycopg

Package: python-psycopg2
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python-egenix-mxdatetime
Suggests: python-psycopg2-doc
Description: Python module for PostgreSQL
 psycopg is a PostgreSQL database adapter for the Python programming language
 (just like pygresql and popy.) This is version 2, a complete rewrite of the
 original code to provide new-style classes for connection and cursor objects
 and other sweet candies. Like the original, psycopg 2 was written with the
 aim of being very small and fast, and stable as a rock.
 .
 psycopg is different from the other database adapter because it was designed
 for heavily multi-threaded applications that create and destroy lots of
 cursors and make a conspicuous number of concurrent INSERTs or UPDATEs.
 psycopg 2 also provides full asynchronous operations for the really brave
 programmer.
 .
 The main advantages of psycopg2 are that it supports the full Python DBAPI-2.0
 and being thread safe at level 2. It also includes some extensions to the
 standard DBAPI-2.0 to allow for better thread performance.

Package: python-psycopg2-dbg
Architecture: any
Section: debug
Depends: python-psycopg2 (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Python module for PostgreSQL (debug extension)
 psycopg is a PostgreSQL database adapter for the Python programming language
 (just like pygresql and popy.) This is version 2, a complete rewrite of the
 original code to provide new-style classes for connection and cursor objects
 and other sweet candies. Like the original, psycopg 2 was written with the
 aim of being very small and fast, and stable as a rock.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python3-psycopg2
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-psycopg2-doc
Provides: ${python3:Provides}
Description: Python 3 module for PostgreSQL
 psycopg is a PostgreSQL database adapter for the Python3 programming language
 (just like pygresql and popy.) This is version 2, a complete rewrite of the
 original code to provide new-style classes for connection and cursor objects
 and other sweet candies. Like the original, psycopg 2 was written with the
 aim of being very small and fast, and stable as a rock.
 .
 psycopg is different from the other database adapter because it was designed
 for heavily multi-threaded applications that create and destroy lots of
 cursors and make a conspicuous number of concurrent INSERTs or UPDATEs.
 psycopg 2 also provides full asynchronous operations for the really brave
 programmer.
 .
 The main advantages of psycopg2 are that it supports the full Python DBAPI-2.0
 and being thread safe at level 2. It also includes some extensions to the
 standard DBAPI-2.0 to allow for better thread performance.

Package: python3-psycopg2-dbg
Architecture: any
Section: debug
Depends: python3-psycopg2 (= ${binary:Version}), python3-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Python 3 module for PostgreSQL (debug extension)
 psycopg is a PostgreSQL database adapter for the Python3 programming language
 (just like pygresql and popy.) This is version 2, a complete rewrite of the
 original code to provide new-style classes for connection and cursor objects
 and other sweet candies. Like the original, psycopg 2 was written with the
 aim of being very small and fast, and stable as a rock.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python-psycopg2-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Suggests: python-psycopg2 | python3-psycopg2
Description: Python module for PostgreSQL (documentation package)
 psycopg is a PostgreSQL database adapter for the Python programming language
 (just like pygresql and popy.) This is version 2, a complete rewrite of the
 original code to provide new-style classes for connection and cursor objects
 and other sweet candies. Like the original, psycopg 2 was written with the
 aim of being very small and fast, and stable as a rock.
 .
 psycopg is different from the other database adapter because it was designed
 for heavily multi-threaded applications that create and destroy lots of
 cursors and make a conspicuous number of concurrent INSERTs or UPDATEs.
 psycopg 2 also provides full asynchronous operations for the really brave
 programmer.
 .
 The main advantages of psycopg2 are that it supports the full Python DBAPI-2.0
 and being thread safe at level 2. It also includes some extensions to the
 standard DBAPI-2.0 to allow for better thread performance.
 .
 This package contains the psycopg2 documentation

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

PYVERS=$(shell pyversions -r debian/control)
PY3VERS=$(shell py3versions -r debian/control)
-include /usr/share/python/python.mk
ifeq (,$(py_sitename))
  py_sitename = site-packages
  py_libdir = /usr/lib/python$(subst python,,$(1))/site-packages
  py_sitename_sh = $(py_sitename)
  py_libdir_sh = $(py_libdir)
  py_setup_install_args =
endif
DEFAULT_PYTHON3 = $(shell py3versions -d)
DEFAULT_BUILDIR = $(shell $(DEFAULT_PYTHON3) -c 'from distutils.command.build import build; from distutils.core import Distribution; b = build(Distribution()); b.finalize_options(); print(b.build_platlib)')

configure: configure-stamp
configure-stamp:
	dh_testdir
	rm -f configure
	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir
	for python in $(PYVERS); do \
		$$python setup.py build ; \
	done
	for python3 in $(PY3VERS); do \
		$$python3 setup.py build ; \
	done
	for python in $(PYVERS); do \
		$$python-dbg setup.py build ; \
	done
	for python3 in $(PY3VERS); do \
		$$python3-dbg setup.py build ; \
	done
	touch build-stamp

clean: configure
	dh_testdir
	dh_testroot
	rm -fr *-stamp build
	-for python in $(PYVERS); do \
		$$python setup.py clean ; \
	done
	-for python3 in $(PY3VERS); do \
		$$python3 setup.py clean ; \
	done
	rm -rf $(CURDIR)/doc/src/_build
	dh_clean

build-arch: build
build-indep:
	export PYTHONPATH=$(CURDIR)/$(DEFAULT_BUILDIR)/; \
	cd $(CURDIR)/doc/src; \
	make -f Makefile html; \
	make -f Makefile text

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# psycopg2
	for python in $(PYVERS); do \
            $$python setup.py install \
		--root=$(CURDIR)/debian/python-psycopg2 --no-compile $(py_setup_install_args); \
	done
	for python3 in $(PY3VERS); do \
		$$python3 setup.py install \
			--root=$(CURDIR)/debian/python3-psycopg2 --no-compile --install-layout=deb; \
	done
	for python in $(PYVERS); do \
	    $$python-dbg setup.py install \
		--root=$(CURDIR)/debian/python-psycopg2-dbg --no-compile $(py_setup_install_args); \
	done
	for python3 in $(PY3VERS); do \
		$$python3-dbg setup.py install \
			--root=$(CURDIR)/debian/python3-psycopg2-dbg --no-compile --install-layout=deb; \
	done
	find debian/python-*-dbg ! -type d ! -name '*.so' | xargs rm -f
	find debian/python-*-dbg -depth -empty -exec rmdir {} \;
	rm -rf $(CURDIR)/debian/python3-psycopg2-dbg/usr/lib/python3/dist-packages/psycopg2/tests
	# # Incompatible with Python3.7 (#902715)
	rm $(CURDIR)/debian/python3-psycopg2/usr/lib/python3/dist-packages/psycopg2/tests/test_async_keyword.py

install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_install

# Build architecture-independent files here.
binary-indep: build install-indep
	dh_testdir
	dh_testroot
	dh_installdocs -i README.rst AUTHORS
	dh_installchangelogs NEWS
	dh_sphinxdoc -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install-arch
	dh_testdir
	dh_testroot
	dh_installdocs -a README.rst AUTHORS
	dh_installchangelogs NEWS
	dh_link -a
	dh_strip -ppython-psycopg2 --dbg-package=python-psycopg2-dbg
	rm -rf debian/python-psycopg2-dbg/usr/share/doc/python-psycopg2-dbg
	ln -s python-psycopg2 debian/python-psycopg2-dbg/usr/share/doc/python-psycopg2-dbg
	dh_strip -ppython3-psycopg2 --dbg-package=python3-psycopg2-dbg
	rm -rf debian/python3-psycopg2-dbg/usr/share/doc/python3-psycopg2-dbg
	ln -s python3-psycopg2 debian/python3-psycopg2-dbg/usr/share/doc/python3-psycopg2-dbg
	dh_compress -a -X.js -X_sources -Xobjects.inv
	dh_fixperms -a
	dh_makeshlibs -a
	dh_python2 -a
	dh_python3 -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## psycopg2 2.7.6.1

=== debian/changelog ===
psycopg2 (2.7.6.1-3.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 12 Dec 2018 23:06:21 -0500

psycopg2 (2.7.6.1-3) unstable; urgency=medium

  * Restore pre-2.7.6.1-1 dbg package doc symlinks that were inadvertently
    dropped when debian/rules was refactored (Closes: #916309)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 12 Dec 2018 23:06:21 -0500

psycopg2 (2.7.6.1-2) unstable; urgency=medium

  * Add debian/patches/0002-Fix-use-of-async-in-tests-
    test_async_keyword.py-so-b.patch to that bytecompilation works with
    python3.7 (Closes: #902715)
  * Add missing --with sphinxdoc

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Dec 2018 18:42:49 -0500

psycopg2 (2.7.6.1-1) unstable; urgency=medium

  * New upstream release
    - Update debian/patches/0001-local_inventory.patch to match upstream
      changes
  * Bump standards-version to 4.2.1 without further change
  * Update debian/copyright
  * Modernize and simplify debian/rules to use pybuild

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Dec 2018 13:08:22 -0500

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=psycopg2
DEFAULT_PYTHON3 = $(shell py3versions -d)
DEFAULT_BUILDIR = $(shell $(DEFAULT_PYTHON3) -c 'from distutils.command.build import build; from distutils.core import Distribution; b = build(Distribution()); b.finalize_options(); print(b.build_platlib)')

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -a

build-indep:
	$(DEFAULT_PYTHON3) setup.py build
	export PYTHONPATH=$(CURDIR)/$(DEFAULT_BUILDIR)/; \
	cd $(CURDIR)/doc/src; \
	make -f Makefile html; \
	make -f Makefile text

override_dh_link:
	rm -rf $(CURDIR)/debian/python-psycopg2-dbg/usr/share/doc/python-psycopg2-dbg
	rm -rf $(CURDIR)/debian/python3-psycopg2-dbg/usr/share/doc/python3-psycopg2-dbg
	dh_link

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/doc/src/_build
	rm -rf $(CURDIR)/build

override_dh_auto_test:
	# Needs running pg server

## psycopg2 2.7.7

=== debian/changelog ===
psycopg2 (2.7.7-1) unstable; urgency=medium

  * Set hardening flags
  * New upstream release (Closes: #807336)
  * Don't include extra license file in docs
  * Update example file paths in debian/copyright
  * Ship examples in python-psycopg2-doc
  * Add multiarch metadata for the -doc package
  * Bump standards-version to 4.3.0 without further change
  * Do not build dbgsym packages since we have dbg (which are still needed for
    python packages)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 23 Jan 2019 02:44:02 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends-Indep: python-doc, python3-doc
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Fabio Tranchitella <kobold@debian.org>, Scott Kitterman <scott@kitterman.com>
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/python-team/modules/psycopg2.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/psycopg2
 Homepage: http://initd.org/projects/psycopg
@@ -51,7 +51,6 @@
 Architecture: any
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: python-psycopg2-doc
-Provides: ${python3:Provides}
 Description: Python 3 module for PostgreSQL
  psycopg is a PostgreSQL database adapter for the Python3 programming language
  (just like pygresql and popy.) This is version 2, a complete rewrite of the
@@ -84,6 +83,7 @@
 
 Package: python-psycopg2-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Suggests: python-psycopg2 | python3-psycopg2

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 export PYBUILD_NAME=psycopg2
 DEFAULT_PYTHON3 = $(shell py3versions -d)
 DEFAULT_BUILDIR = $(shell $(DEFAULT_PYTHON3) -c 'from distutils.command.build import build; from distutils.core import Distribution; b = build(Distribution()); b.finalize_options(); print(b.build_platlib)')
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
@@ -15,12 +16,16 @@
 	export PYTHONPATH=$(CURDIR)/$(DEFAULT_BUILDIR)/; \
 	cd $(CURDIR)/doc/src; \
 	make -f Makefile html; \
-	make -f Makefile text
+	make -f Makefile text; \
+	rm -f _build/text/license.txt
 
 override_dh_link:
 	rm -rf $(CURDIR)/debian/python-psycopg2-dbg/usr/share/doc/python-psycopg2-dbg
 	rm -rf $(CURDIR)/debian/python3-psycopg2-dbg/usr/share/doc/python3-psycopg2-dbg
 	dh_link
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
version=3
https://pypi.debian.net/psycopg2/psycopg2-([0-9][0-9\.\-]*).tar.gz

## psycopg2 2.8.4

=== Makefile ===
# Makefile for psycopg2. Do you want to...
#
# Build the library::
#
#   make
#
# Build the documentation::
#
#   make env (once)
#   make docs
#
# Create a source package::
#
#   make sdist
#
# Run the test::
#
#   make check  # this requires setting up a test database with the correct user

PYTHON := python$(PYTHON_VERSION)
PYTHON_VERSION ?= $(shell $(PYTHON) -c 'import sys; print ("%d.%d" % sys.version_info[:2])')
BUILD_DIR = $(shell pwd)/build/lib.$(PYTHON_VERSION)

SOURCE_C := $(wildcard psycopg/*.c psycopg/*.h)
SOURCE_PY := $(wildcard lib/*.py)
SOURCE_TESTS := $(wildcard tests/*.py)
SOURCE_DOC := $(wildcard doc/src/*.rst)
SOURCE := $(SOURCE_C) $(SOURCE_PY) $(SOURCE_TESTS) $(SOURCE_DOC)

PACKAGE := $(BUILD_DIR)/psycopg2
PLATLIB := $(PACKAGE)/_psycopg.so
PURELIB := $(patsubst lib/%,$(PACKAGE)/%,$(SOURCE_PY))

BUILD_OPT := --build-lib=$(BUILD_DIR)
BUILD_EXT_OPT := --build-lib=$(BUILD_DIR)
SDIST_OPT := --formats=gztar

ifdef PG_CONFIG
	BUILD_EXT_OPT += --pg-config=$(PG_CONFIG)
endif

VERSION := $(shell grep PSYCOPG_VERSION setup.py | head -1 | sed -e "s/.*'\(.*\)'/\1/")
SDIST := dist/psycopg2-$(VERSION).tar.gz

.PHONY: env check clean

default: package

all: package sdist

package: $(PLATLIB) $(PURELIB)

docs: docs-html

docs-html: doc/html/genindex.html

# for PyPI documentation
docs-zip: doc/docs.zip

sdist: $(SDIST)

env:
	$(MAKE) -C doc $@

check:
	PYTHONPATH=$(BUILD_DIR) $(PYTHON) -c "import tests; tests.unittest.main(defaultTest='tests.test_suite')" --verbose

testdb:
	@echo "* Creating $(TESTDB)"
	@if psql -l | grep -q " $(TESTDB) "; then \
	    dropdb $(TESTDB) >/dev/null; \
	fi
	createdb $(TESTDB)
	# Note to packagers: this requires the postgres user running the test
	# to be a superuser.  You may change this line to use the superuser only
	# to install the contrib.  Feel free to suggest a better way to set up the
	# testing environment (as the current is enough for development).
	psql -f `pg_config --sharedir`/contrib/hstore.sql $(TESTDB)


$(PLATLIB): $(SOURCE_C)
	$(PYTHON) setup.py build_ext $(BUILD_EXT_OPT)

$(PACKAGE)/%.py: lib/%.py
	$(PYTHON) setup.py build_py $(BUILD_OPT)
	touch $@

$(PACKAGE)/tests/%.py: tests/%.py
	$(PYTHON) setup.py build_py $(BUILD_OPT)
	touch $@

$(SDIST): $(SOURCE)
	$(PYTHON) setup.py sdist $(SDIST_OPT)

# docs depend on the build as it partly use introspection.
doc/html/genindex.html: $(PLATLIB) $(PURELIB) $(SOURCE_DOC)
	$(MAKE) -C doc html

doc/docs.zip: doc/html/genindex.html
	(cd doc/html && zip -r ../docs.zip *)

clean:
	rm -rf build
	$(MAKE) -C doc clean

=== debian/changelog ===
psycopg2 (2.8.4-2) unstable; urgency=medium

  * Drop python2 support (Closes: #937331)
  * Bump standards-version to 4.5.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Fri, 06 Mar 2020 18:46:53 -0500

psycopg2 (2.8.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Scott Kitterman ]
  * New upstream release
    - Refresh patches
  * Add python/3-all and -all-dbg packages to autopkgtest depends so
    all supported versions are installed and tested (Closes: #943452)
    - Thanks to Steve Langasek for the patch
  * Check upstream gpg signature during download (d/watch and d/upstream/
    signing-key.asc)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 17 Nov 2019 16:11:36 -0500

psycopg2 (2.8.3-2) unstable; urgency=medium

  [ Christoph Berg ]
  * Disable testsuite on hurd-i386, it can't run PostgreSQL.

  [ You-Sheng Yang (楊有勝) ]
  * Honor DEB_BUILD_OPTIONS nocheck.

 -- Christoph Berg <myon@debian.org>  Mon, 09 Sep 2019 09:17:25 +0200

psycopg2 (2.8.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Christoph Berg ]
  * New upstream release. (Closes: #928301)
  * Run wrap-and-sort -st.
  * Add debian/gitlab-ci.yml.
  * Add python{,3}-setuptools to build-dependencies.
  * Run regression tests at build time and autopkgtest via pg_virtualenv.
  * test_async_keyword.py patch: Use async_ instead of _async which is what
    the module uses as well.
  * Work around sphinx doc build problems by not including the NEWS file and
    sqlstate_errors.rst.
  * Add myself to Uploaders.

  [ Nicolas Dandrimont ]
  * Fail build when documentation build fails
  * Add building of (dynamic) documentation sources from upstream before
    building docs

 -- Christoph Berg <myon@debian.org>  Thu, 05 Sep 2019 13:47:25 +0200

=== debian/control ===
Source: psycopg2
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 libpq-dev,
 postgresql,
 python3-all-dbg,
 python3-all-dev,
 python3-setuptools,
 python3-sphinx (>= 1.0.7+dfsg-1~),
Build-Depends-Indep: python3-doc
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Fabio Tranchitella <kobold@debian.org>,
 Scott Kitterman <scott@kitterman.com>,
 Christoph Berg <myon@debian.org>,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/python-team/modules/psycopg2.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/psycopg2
Homepage: http://initd.org/projects/psycopg

Package: python3-psycopg2
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-psycopg2-doc
Description: Python 3 module for PostgreSQL
 psycopg is a PostgreSQL database adapter for the Python3 programming language
 (just like pygresql and popy.) This is version 2, a complete rewrite of the
 original code to provide new-style classes for connection and cursor objects
 and other sweet candies. Like the original, psycopg 2 was written with the
 aim of being very small and fast, and stable as a rock.
 .
 psycopg is different from the other database adapter because it was designed
 for heavily multi-threaded applications that create and destroy lots of
 cursors and make a conspicuous number of concurrent INSERTs or UPDATEs.
 psycopg 2 also provides full asynchronous operations for the really brave
 programmer.
 .
 The main advantages of psycopg2 are that it supports the full Python DBAPI-2.0
 and being thread safe at level 2. It also includes some extensions to the
 standard DBAPI-2.0 to allow for better thread performance.

Package: python3-psycopg2-dbg
Architecture: any
Section: debug
Depends:
 python3-dbg,
 python3-psycopg2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Python 3 module for PostgreSQL (debug extension)
 psycopg is a PostgreSQL database adapter for the Python3 programming language
 (just like pygresql and popy.) This is version 2, a complete rewrite of the
 original code to provide new-style classes for connection and cursor objects
 and other sweet candies. Like the original, psycopg 2 was written with the
 aim of being very small and fast, and stable as a rock.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python-psycopg2-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: python3-psycopg2
Description: Python module for PostgreSQL (documentation package)
 psycopg is a PostgreSQL database adapter for the Python programming language
 (just like pygresql and popy.) This is version 2, a complete rewrite of the
 original code to provide new-style classes for connection and cursor objects
 and other sweet candies. Like the original, psycopg 2 was written with the
 aim of being very small and fast, and stable as a rock.
 .
 psycopg is different from the other database adapter because it was designed
 for heavily multi-threaded applications that create and destroy lots of
 cursors and make a conspicuous number of concurrent INSERTs or UPDATEs.
 psycopg 2 also provides full asynchronous operations for the really brave
 programmer.
 .
 The main advantages of psycopg2 are that it supports the full Python DBAPI-2.0
 and being thread safe at level 2. It also includes some extensions to the
 standard DBAPI-2.0 to allow for better thread performance.
 .
 This package contains the psycopg2 documentation

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export PYBUILD_NAME=psycopg2
DEFAULT_PYTHON3 = $(shell py3versions -d)
DEFAULT_BUILDIR = $(shell $(DEFAULT_PYTHON3) -c 'from distutils.command.build import build; from distutils.core import Distribution; b = build(Distribution()); b.finalize_options(); print(b.build_platlib)')
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -a

build-indep:
	$(DEFAULT_PYTHON3) setup.py build
	set -e; export PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) PYTHON_VERSION=3; \
	cd $(CURDIR)/doc; make src/sqlstate_errors.rst; \
	cd $(CURDIR)/doc/src; make html; \
	cd $(CURDIR)/doc/src; make text; \
	rm -f _build/text/license.txt

override_dh_link:
	rm -rf $(CURDIR)/debian/python3-psycopg2-dbg/usr/share/doc/python3-psycopg2-dbg
	dh_link

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq ($(DEB_HOST_ARCH),hurd-i386)
	LANG=C.UTF-8 LC_ALL=C.UTF-8 \
	PSYCOPG2_TESTDB_HOST=localhost \
	PSYCOPG2_TESTDB=postgres \
	PSYCOPG2_TEST_FAST=1 \
	pg_virtualenv dh_auto_test
endif
endif

## psycopg2 2.8.5

=== debian/changelog ===
psycopg2 (2.8.5-1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 31 Jul 2020 14:51:39 +0000

psycopg2 (2.8.5-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches
  * Add d/patches/0007-Use-default-sphinx-theme.patch since 'better' theme
    used by upstream is not packaged in Debian

 -- Scott Kitterman <scott@kitterman.com>  Wed, 08 Apr 2020 00:54:00 -0400

## psycopg2 2.8.6

=== debian/changelog ===
psycopg2 (2.8.6-2) unstable; urgency=medium

  * Fix arch-indep build.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Jan 2021 16:35:54 +0100

psycopg2 (2.8.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python3-psycopg2-dbg: Add Multi-Arch: same.

  [ Christoph Berg ]
  * New upstream version 2.8.6.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Jan 2021 13:52:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 13),
  dh-python,
  libpq-dev,
  postgresql,
@@ -11,14 +11,15 @@
  python3-setuptools,
  python3-sphinx (>= 1.0.7+dfsg-1~),
 Build-Depends-Indep: python3-doc
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Fabio Tranchitella <kobold@debian.org>,
  Scott Kitterman <scott@kitterman.com>,
  Christoph Berg <myon@debian.org>,
 Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/python-team/modules/psycopg2.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/psycopg2
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/python-team/packages/psycopg2.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/psycopg2
 Homepage: http://initd.org/projects/psycopg
 
 Package: python3-psycopg2
@@ -50,6 +51,7 @@
  python3-psycopg2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
+Multi-Arch: same
 Description: Python 3 module for PostgreSQL (debug extension)
  psycopg is a PostgreSQL database adapter for the Python3 programming language
  (just like pygresql and popy.) This is version 2, a complete rewrite of the

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,8 @@
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build -a
-
-build-indep:
-	$(DEFAULT_PYTHON3) setup.py build
+override_dh_auto_build-indep:
+	dh_auto_build -i
 	set -e; export PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) PYTHON_VERSION=3; \
 	cd $(CURDIR)/doc; make src/sqlstate_errors.rst; \
 	cd $(CURDIR)/doc/src; make html; \
@@ -28,7 +25,7 @@
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
 
-override_dh_auto_test:
+override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifneq ($(DEB_HOST_ARCH),hurd-i386)
 	LANG=C.UTF-8 LC_ALL=C.UTF-8 \
@@ -38,3 +35,5 @@
 	pg_virtualenv dh_auto_test
 endif
 endif
+
+override_dh_auto_test-indep:

=== debian/tests/control ===
Depends: @, postgresql-all, python3-all, python3-all-dbg
Tests: unittest
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=pgpmode=auto \
https://pypi.debian.net/psycopg2/psycopg2-([0-9][0-9\.\-]*).tar.gz

## psycopg2 2.9.2~20220624.1235-2~1.git1a7ff07.pgdg21.10+1

=== doc/Makefile ===
.PHONY: env help clean html package doctest

docs: html

check: doctest

# The environment is currently required to build the documentation.
# It is not clean by 'make clean'

PYTHON := python$(PYTHON_VERSION)
PYTHON_VERSION ?= $(shell $(PYTHON) -c 'import sys; print ("%d.%d" % sys.version_info[:2])')
BUILD_DIR = $(shell pwd)/../build/lib.$(PYTHON_VERSION)

SPHINXBUILD ?= $$(pwd)/env/bin/sphinx-build
SPHOPTS = SPHINXBUILD=$(SPHINXBUILD)

html: package src/sqlstate_errors.rst
	$(MAKE) $(SPHOPTS) -C src $@
	cp -r src/_build/html .

src/sqlstate_errors.rst: ../psycopg/sqlstate_errors.h $(BUILD_DIR)
	$(PYTHON) src/tools/make_sqlstate_docs.py $< > $@

$(BUILD_DIR):
	$(MAKE) PYTHON=$(PYTHON) -C .. package

doctest:
	$(MAKE) PYTHON=$(PYTHON) -C .. package
	$(MAKE) $(SPHOPTS) -C src $@

clean:
	$(MAKE) $(SPHOPTS) -C src $@
	rm -rf html src/sqlstate_errors.rst

env: requirements.txt
	$(PYTHON) -m venv env
	./env/bin/pip install -r requirements.txt
	echo "$$(pwd)/../build/lib.$(PYTHON_VERSION)" \
		> env/lib/python$(PYTHON_VERSION)/site-packages/psycopg.pth

=== debian/changelog ===
psycopg2 (2.9.2~20220624.1235-2~1.git1a7ff07.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 27 May 2022 19:36:39 +0100

psycopg2 (2.9.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-sphinx.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 19:36:39 +0100

psycopg2 (2.9.2-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches
    - Delete d/p/0002-failing-tests.patch: test passes on AMD64, need archive
      build to determine if there are any problematic archs anymore
    - Delete d/p/0004-Sphinx-workaround.patch and d/p/0005-Sphinx-no-spanning-
      cells.patch as doc build now succeeds without them 

 -- Scott Kitterman <scott@kitterman.com>  Mon, 20 Dec 2021 16:28:10 -0500

psycopg2 (2.9.1-1) unstable; urgency=medium

  * New upstream version 2.9.1
    * Refresh patches
    * Remove 0002-Fix-use-of-async-in-tests-test_async_keyword.py-so-b.patch:
      upstream dropped tests/test_async_keyword.py
  * Remove *-dbg package (Closes: #994321)
  * Add :any to python3-dev-all build dependency and python3-all test
    dependency, per lintian hint
  * Update Standards-Version to 4.6.0; no changes necessary
  * Update debian/watch version to 4; no changes necessary
  * Add myself to uploaders

 -- Tomasz Rybak <serpent@debian.org>  Thu, 07 Oct 2021 21:53:53 +0200

## psycopg2 2.9.2

=== debian/changelog ===
psycopg2 (2.9.2-1build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:23:09 +0100

psycopg2 (2.9.2-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:52:10 +0000

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
  dh-python,
  libpq-dev,
  postgresql,
- python3-all-dbg,
- python3-all-dev,
+ python3-all-dev:any,
  python3-setuptools,
  python3-sphinx (>= 1.0.7+dfsg-1~),
 Build-Depends-Indep: python3-doc
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Fabio Tranchitella <kobold@debian.org>,
  Scott Kitterman <scott@kitterman.com>,
  Christoph Berg <myon@debian.org>,
-Standards-Version: 4.5.0
+ Tomasz Rybak <serpent@debian.org>,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/psycopg2.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/psycopg2
@@ -43,24 +44,6 @@
  and being thread safe at level 2. It also includes some extensions to the
  standard DBAPI-2.0 to allow for better thread performance.
 
-Package: python3-psycopg2-dbg
-Architecture: any
-Section: debug
-Depends:
- python3-dbg,
- python3-psycopg2 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Multi-Arch: same
-Description: Python 3 module for PostgreSQL (debug extension)
- psycopg is a PostgreSQL database adapter for the Python3 programming language
- (just like pygresql and popy.) This is version 2, a complete rewrite of the
- original code to provide new-style classes for connection and cursor objects
- and other sweet candies. Like the original, psycopg 2 was written with the
- aim of being very small and fast, and stable as a rock.
- .
- This package contains the extensions built for the Python debug interpreter.
-
 Package: python-psycopg2-doc
 Architecture: all
 Multi-Arch: foreign

=== debian/tests/control ===
Depends: @, postgresql-all, python3-all:any, python3-all-dbg
Tests: unittest
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://pypi.debian.net/psycopg2/psycopg2-([0-9][0-9\.\-]*).tar.gz

## psycopg2 2.9.3

=== debian/changelog ===
psycopg2 (2.9.3-1) unstable; urgency=medium

  * New upstream version 2.9.3.

 -- Christoph Berg <myon@debian.org>  Wed, 10 Aug 2022 10:08:12 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,9 @@
  postgresql,
  python3-all-dev:any,
  python3-setuptools,
- python3-sphinx (>= 1.0.7+dfsg-1~),
+ python3-sphinx,
 Build-Depends-Indep: python3-doc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Fabio Tranchitella <kobold@debian.org>,
  Scott Kitterman <scott@kitterman.com>,

## psycopg2 2.9.5

=== Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 VERSION := $(shell grep PSYCOPG_VERSION setup.py | head -1 | sed -e "s/.*'\(.*\)'/\1/")
 SDIST := dist/psycopg2-$(VERSION).tar.gz
 
-.PHONY: env check clean
+.PHONY: check clean
 
 default: package

=== doc/requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.8
# To update, run:
#
#    pip-compile requirements.in
#
alabaster==0.7.12
    # via sphinx
babel==2.9.1
    # via sphinx
certifi==2021.10.8
    # via requests
charset-normalizer==2.0.12
    # via requests
docutils==0.17.1
    # via sphinx
idna==3.3
    # via requests
imagesize==1.3.0
    # via sphinx
importlib-metadata==4.11.3
    # via sphinx
jinja2==3.1.1
    # via sphinx
markupsafe==2.1.1
    # via jinja2
packaging==21.3
    # via sphinx
pygments==2.11.2
    # via sphinx
pyparsing==3.0.7
    # via packaging
pytz==2022.1
    # via babel
requests==2.27.1
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==4.4.0
    # via -r requirements.in
sphinx-better-theme==0.1.5
    # via -r requirements.in
sphinxcontrib-applehelp==1.0.2
    # via sphinx
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
urllib3==1.26.9
    # via requests
zipp==3.7.0
    # via importlib-metadata

=== doc/src/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# DSN for the doctest database
PSYCOPG2_DSN="user=postgres dbname=test"

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf ./html/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text pages are in $(BUILDDIR)/text."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/psycopg.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/psycopg.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	PSYCOPG2_DSN=$(PSYCOPG2_DSN) \
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
psycopg2 (2.9.5-1) unstable; urgency=medium

  * New upstream version 2.9.5

 -- Bastian Germann <bage@debian.org>  Fri, 27 Jan 2023 21:28:29 +0100

psycopg2 (2.9.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 1.1.17-1.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 11:15:04 +0100

psycopg2 (2.9.4-1) unstable; urgency=medium

  * New upstream version 2.9.4.
  * Point watch file at GitHub tags instead of pypi.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Oct 2022 11:10:44 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  Scott Kitterman <scott@kitterman.com>,
  Christoph Berg <myon@debian.org>,
  Tomasz Rybak <serpent@debian.org>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/psycopg2.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/psycopg2

=== debian/watch ===
version=4
opts=pgpmode=auto,uversionmangle=s/_/./g \
https://github.com/psycopg/psycopg2/tags .*/([0-9_]*).tar.gz
#https://pypi.debian.net/psycopg2/psycopg2-([0-9][0-9\.\-]*).tar.gz

## psycopg2 2.9.6

=== debian/changelog ===
psycopg2 (2.9.6-3~bpo12+1) UNRELEASED; urgency=medium

  * bookworm-backports Rebuilt for bookworm.

 -- Christoph Berg <myon@debian.org>  Sun, 17 Sep 2023 10:59:52 +0000

psycopg2 (2.9.6-3) unstable; urgency=medium

  * Fix test_ssl_attribute test when compiled with and run against PG15, but
    when libpq5 is already PG16.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Sep 2023 14:12:41 +0000

psycopg2 (2.9.6-2) unstable; urgency=medium

  [ Scott Kitterman ]
  * Remove myself from uploaders

  [ Christoph Berg ]
  * Disable test_ssl_attribute on PG16+.

 -- Christoph Berg <myon@debian.org>  Sun, 02 Jul 2023 12:59:03 +0200

psycopg2 (2.9.6-1) experimental; urgency=medium

  * New upstream version 2.9.6.
  * debian/watch: Accept '.' in tag names.

 -- Christoph Berg <myon@debian.org>  Mon, 29 May 2023 11:11:37 +0200
